### Hierarchy

- Agent
  - Agent

## Index

### Constructors

- constructor

### Properties

- maxFreeSockets
- maxSockets
- options
- requests
- sockets

### Methods

- destroy

## Constructors

### constructor

- new Agent(options?: AgentOptions): Agent

- Overrides Agent.constructor

  - Defined in node_modules/@types/node/https.d.ts:19

  #### Parameters

  - ##### Optional options: AgentOptions

  #### Returns Agent

## Properties

### maxFreeSockets

maxFreeSockets: number

Inherited from Agent.maxFreeSockets

- Defined in node_modules/@types/node/http.d.ts:233

### maxSockets

maxSockets: number

Inherited from Agent.maxSockets

- Defined in node_modules/@types/node/http.d.ts:234

### options

options: AgentOptions

- Defined in node_modules/@types/node/https.d.ts:21

### requests

requests: object

Inherited from Agent.requests

- Defined in node_modules/@types/node/http.d.ts:238

#### Type declaration

- ##### [key: string]: IncomingMessage[]

### sockets

sockets: object

Inherited from Agent.sockets

- Defined in node_modules/@types/node/http.d.ts:235

#### Type declaration

- ##### [key: string]: Socket[]

## Methods

### destroy

- destroy(): void

- Inherited from Agent.destroy

  - Defined in node_modules/@types/node/http.d.ts:250

  Destroy any sockets that are currently in use by the agent. It is usually not necessary to do this. However, if you are using an agent with KeepAlive enabled, then it is best to explicitly shut down the agent when you know that it will no longer be used. Otherwise, sockets may hang open for quite a long time before the server terminates them.

  #### Returns void

Generated using TypeDoc